## org.apache.batik.css.engine.value
Class StringValue

    java.lang.Object
      org.apache.batik.css.engine.value.AbstractValue
          org.apache.batik.css.engine.value.StringValue

All Implemented Interfaces:
  Value

Direct Known Subclasses:
  URIValue

public class StringValue
extends AbstractValue

This class represents string values.

Field Summary
`protected short` `unitType` The unit type
`protected java.lang.String` `value` The value of the string

Constructor Summary
`StringValue(short type, java.lang.String s)` Creates a new StringValue.

Method Summary
`boolean` `equals(java.lang.Object obj)` Indicates whether some other object is "equal to" this one.
`java.lang.String` `getCssText()` A string representation of the current value.
`static java.lang.String` `getCssText(short type, java.lang.String value)` Returns the CSS text associated with the given type/value pair.
`short` `getPrimitiveType()` The type of the value.
`java.lang.String` `getStringValue()` This method is used to get the string value.
`java.lang.String` `toString()` Returns a printable representation of this value.

Methods inherited from class org.apache.batik.css.engine.value.AbstractValue
`createDOMException, getBlue, getBottom, getCssValueType, getFloatValue, getGreen, getIdentifier, getLeft, getLength, getListStyle, getRed, getRight, getSeparator, getTop, item`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### value

    protected java.lang.String value

  The value of the string

### unitType

    protected short unitType

  The unit type

Constructor Detail

### StringValue

    public StringValue(short type,
                       java.lang.String s)

  Creates a new StringValue.

Method Detail

### getCssText

    public static java.lang.String getCssText(short type,
                                              java.lang.String value)

  Returns the CSS text associated with the given type/value pair.

### getPrimitiveType

    public short getPrimitiveType()

  The type of the value.

  Specified by:
    `getPrimitiveType` in interface `Value`
  Overrides:
    `getPrimitiveType` in class `AbstractValue`

### equals

    public boolean equals(java.lang.Object obj)

  Indicates whether some other object is "equal to" this one.

  Parameters:
    `obj` - the reference object with which to compare.

### getCssText

    public java.lang.String getCssText()

  A string representation of the current value.

### getStringValue

    public java.lang.String getStringValue()
                                    throws org.w3c.dom.DOMException

  This method is used to get the string value.

  Specified by:
    `getStringValue` in interface `Value`
  Overrides:
    `getStringValue` in class `AbstractValue`
  Throws:
    `org.w3c.dom.DOMException` - INVALID_ACCESS_ERR: Raised if the value doesn't contain a string value.

### toString

    public java.lang.String toString()

  Returns a printable representation of this value.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.